# include/NvBuffer.h File Reference

NVIDIA Eagle Eye API: Buffer API More...

`#include <linux/videodev2.h>`
`#include <pthread.h>`
`#include <stdint.h>`
`#include "v4l2_nv_extensions.h"`

Go to the source code of this file.

## Classes

class | NvBuffer
| Class representing a buffer. More...
struct | NvBuffer::NvBuffer::NvBufferPlaneFormat
| Holds the buffer plane format. More...
struct | NvBuffer::NvBuffer::NvBufferPlane
| Holds the buffer plane parameters. More...

## Defines

#define | MAX_PLANES 3
| Specifies the maximum number of planes a buffer can contain.

## Detailed Description

NVIDIA Eagle Eye API: Buffer API

Description: This file declares the NvBuffer APIs.

Definition in file NvBuffer.h.